> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Settings

> Partially update fleet settings.



## OpenAPI

````yaml patch /v2/fleet/settings/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/fleet/settings/:
    patch:
      tags:
        - Fleet Settings
      description: >-
        A ViewSet for viewing and editing the user's settings based on their
        fleet_id.
      operationId: v2_fleet_settings_partial_update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedSettings'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedSettings'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedSettings'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Settings'
          description: ''
components:
  schemas:
    PatchedSettings:
      type: object
      properties:
        custom_fee:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          nullable: true
        invoice_logo:
          type: string
          format: uri
          nullable: true
          pattern: (?:png)$
        street:
          type: string
          nullable: true
          maxLength: 200
        zip_code:
          type: string
          nullable: true
          maxLength: 200
        city:
          type: string
          nullable: true
          maxLength: 200
        country:
          type: string
          nullable: true
          maxLength: 200
        summary_email_frequency:
          oneOf:
            - $ref: '#/components/schemas/SummaryEmailFrequencyEnum'
            - $ref: '#/components/schemas/BlankEnum'
        driver_invoice_frequency:
          oneOf:
            - $ref: '#/components/schemas/DriverInvoiceFrequencyEnum'
            - $ref: '#/components/schemas/BlankEnum'
        driver_invoice_amount_choice:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DriverInvoiceAmountChoiceEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        amount_override:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/AmountOverrideEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        has_driver_invoice:
          type: boolean
          nullable: true
    Settings:
      type: object
      properties:
        custom_fee:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          nullable: true
        invoice_logo:
          type: string
          format: uri
          nullable: true
          pattern: (?:png)$
        street:
          type: string
          nullable: true
          maxLength: 200
        zip_code:
          type: string
          nullable: true
          maxLength: 200
        city:
          type: string
          nullable: true
          maxLength: 200
        country:
          type: string
          nullable: true
          maxLength: 200
        summary_email_frequency:
          oneOf:
            - $ref: '#/components/schemas/SummaryEmailFrequencyEnum'
            - $ref: '#/components/schemas/BlankEnum'
        driver_invoice_frequency:
          oneOf:
            - $ref: '#/components/schemas/DriverInvoiceFrequencyEnum'
            - $ref: '#/components/schemas/BlankEnum'
        driver_invoice_amount_choice:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DriverInvoiceAmountChoiceEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        amount_override:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/AmountOverrideEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        has_driver_invoice:
          type: boolean
          nullable: true
    SummaryEmailFrequencyEnum:
      enum:
        - NONE
        - DAILY
        - WEEKLY
        - MONTHLY
      type: string
      description: |-
        * `NONE` - None
        * `DAILY` - Daily
        * `WEEKLY` - Weekly
        * `MONTHLY` - Monthly
    BlankEnum:
      enum:
        - ''
    DriverInvoiceFrequencyEnum:
      enum:
        - NONE
        - DAILY
        - WEEKLY
        - MONTHLY
      type: string
      description: |-
        * `NONE` - None
        * `DAILY` - Daily
        * `WEEKLY` - Weekly
        * `MONTHLY` - Monthly
    DriverInvoiceAmountChoiceEnum:
      enum:
        - REAL_COST
        - CASH_COST
        - CUSTOM_FEE
      type: string
      description: |-
        * `REAL_COST` - Real Cost
        * `CASH_COST` - Cash Cost
        * `CUSTOM_FEE` - Custom Fee
    NullEnum:
      enum:
        - null
    AmountOverrideEnum:
      enum:
        - CASH_COST
      type: string
      description: '* `CASH_COST` - cash cost'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````